%include %{_rpmconfigdir}/macros.python2

Name: deltarpm
Version: 3.6.1
Release: 3
License: BSD-3-Clause
Summary: Generates delta rpms
URL: http://deltarpm.baseurl.org/

BuildRequires: python2-devel
BuildRequires: rpm-devel
BuildRequires: popt-devel
BuildRequires: bzip2-devel
BuildRequires: xz-devel
BuildRequires: zlib-devel

Source0: https://github.com/rpm-software-management/deltarpm/archive/%{version}.tar.gz

Patch0: deltarpm-no-internal-zlib.patch

%description
A set of utilities for generating a common metadata repository
from a directory of rpm packages and maintaining it.

%package -n python2-deltarpm
Summary: Python 2 bindings for deltarpm

%description -n python2-deltarpm
Python 2 bindings for deltarpm

%prep
%setup -q

%patch0 -p1

# # Change /usr/* paths to the right prefix
perl -p -i -e 's|/usr/bin|%{_bindir}|g' Makefile drpmsync

# Fix shebang line
find . -name \*.py | xargs perl -p -i -e 's|/usr/bin/python|%{_bindir}/python2|g'

cat <<EOF > ./_make
#!/QOpenSys/usr/bin/sh

exec make \
    CC=gcc \
    CPPFLAGS='-DDELTARPM_64BIT -DBSDIFF_NO_SUF -DRPMDUMPHEADER="\\"%{_bindir}/rpmdumpheader\\"" -D_LARGE_FILE_API' \
    LDLIBS="-lbz2 -lz -llzma" \
    LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
    PYTHONS=python2 \
    prefix=%{_prefix} \
    bindir=%{_bindir} \
    libdir=%{_libdir} \
    mandir=%{_mandir} \
    "\$@"
EOF
chmod +x ./_make

%build

./_make

./_make python

%install

./_make DESTDIR=%{buildroot} install

%files
%defattr(-, qsys, *none)

%{_bindir}/applydeltaiso
%{_bindir}/applydeltarpm
%{_bindir}/combinedeltarpm
%{_bindir}/drpmsync
%{_bindir}/fragiso
%{_bindir}/makedeltaiso
%{_bindir}/makedeltarpm
%{_bindir}/rpmdumpheader

%{_mandir}/man8/applydeltaiso.8
%{_mandir}/man8/applydeltarpm.8
%{_mandir}/man8/combinedeltarpm.8
%{_mandir}/man8/drpmsync.8
%{_mandir}/man8/fragiso.8
%{_mandir}/man8/makedeltaiso.8
%{_mandir}/man8/makedeltarpm.8


%files -n python2-deltarpm
%defattr(-, qsys, *none)

%{py_sitedir}/_deltarpmmodule.so
%{py_sitedir}/deltarpm.py


%changelog
* Mon Nov 04 2019 Kevin Adler <kadler@us.ibm.com>
- Use SPDX license

* Sat Aug 04 2018 - Kevin Adler <kadler@us.ibm.com>
- Add missing patch for deltarpm

* Sat Aug 04 2018 - Kevin Adler <kadler@us.ibm.com>
- fix shebang in deltarpm and general cleanups

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i
- Remove gcc wrappers
- Add BuildRequires
- various other fixes

* Wed Dec 20 2017 - Kevin Adler <kadler@us.ibm.com>
- Initial package
